Name:       ibus-pinyin
Version:    1.3.8
Release:    1%{?dist}
Summary:    The Chinese Pinyin and Bopomofo engines for IBus input platform
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:    http://ibus.googlecode.com/files/pinyin-database-1.2.99.tar.bz2
Patch0:     ibus-pinyin-HEAD.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  sqlite-devel
BuildRequires:  libuuid-devel
BuildRequires:  boost-devel >= 1.39
BuildRequires:  ibus-devel >= 1.2.0

# Requires(post): sqlite

Requires:   ibus >= 1.2.0

%description
The Chinese Pinyin and Bopomofo input methods for IBus platform.

%package    open-phrase
Summary:    The open phrase database for ibus Pinyin and Bopomofo
Group:      System Environment/Libraries
Requires(post): sqlite

%description open-phrase
The open phrase database for ibus Pinyin and Bopomofo engines.

%prep
%setup -q
%patch0 -p1
cp %{SOURCE1} data/db/open-phrase

%build
%configure --disable-static --enable-db-open-phrase
# make -C po update-gmo
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
# cd %{_datadir}/ibus-pinyin/db
# sqlite3 android.db ".read create_index.sql"

%post open-phrase
# cd %{_datadir}/ibus-pinyin/db
# sqlite3 open-phrase.db ".read create_index.sql"

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libexecdir}/ibus-engine-pinyin
%{_libexecdir}/ibus-setup-pinyin
%{_datadir}/ibus-pinyin/phrases.txt
%{_datadir}/ibus-pinyin/icons
%{_datadir}/ibus-pinyin/setup
%{_datadir}/ibus-pinyin/db/create_index.sql
%{_datadir}/ibus-pinyin/db/android.db
%dir %{_datadir}/ibus-pinyin
%dir %{_datadir}/ibus-pinyin/db
%{_datadir}/ibus/component/*

%files open-phrase
%{_datadir}/ibus-pinyin/db/open-phrase.db


%changelog

